Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 528435 - Firstboot doesn't start after x86_64 installation
Summary: Firstboot doesn't start after x86_64 installation
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firstboot
Version: rawhide
Hardware: x86_64
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-12 08:18 UTC by Phil
Modified: 2009-11-08 04:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-08 04:46:33 UTC
Type: ---


Attachments (Terms of Use)
/tmp/firstboot-exception file (291 bytes, text/plain)
2009-10-14 21:30 UTC, Phil
no flags Details

Description Phil 2009-10-12 08:18:29 UTC
Description of problem:
I think the summary describes it enough :)

Version-Release number of selected component (if applicable):
Rawhide 12

How reproducible:
every time

Steps to Reproduce:
1. pxeboot an installation of x86_64 F12
2. choose all default package options, install and reboot.
3. watch the system boot and see that you are at gdm with no local user.
  
Actual results:
had to create a user from a VT

Expected results:
to go through the firstboot post prep

Comment 1 Phil 2009-10-12 08:24:30 UTC
sorry for the "urgent" priority on this bug, i meant to select high.. :/

Comment 2 Chris Lumens 2009-10-14 12:55:00 UTC
Is there a /tmp/firstboot-tb* file or other exception file present?

Comment 3 Phil 2009-10-14 21:30:05 UTC
Created attachment 364818 [details]
/tmp/firstboot-exception file

indeed and here it is.  I should get around to testing this issue again this coming weekend with a freshly updated repo.  I'll be in touch.

currently smolt isn't allowing me to upload data but when i do i'll post my uuid if that may help.

Comment 4 Phil 2009-10-19 12:15:20 UTC
i did a yum update this arvo and found something both good and bad.


from either a VT or gnome-terminal i typed "init 5" and suddenly firstboot started - even though x had already started and i was logged in to the desktop.  I ctrl+alted to VT7 and was back on the desktop but when i tried to go back to VT6 my system locked and I had to reset.  I was able to tab to all other VT's but only got the lock on VT6.

Comment 5 Chris Lumens 2009-10-26 15:53:58 UTC
I know we were tracking some X problems that were preventing firstboot from starting.  Are you still seeing this problem?

Comment 6 Phil 2009-11-08 04:46:33 UTC
6/11/09 = OK


Note You need to log in before you can comment on or make changes to this bug.